com.r3corda.core.node.services.testing / MockStorageService

# MockStorageService

`class MockStorageService : StorageService`

### Constructors

<init> | `MockStorageService(attachments: AttachmentStorage = MockAttachmentStorage(), myLegalIdentityKey: KeyPair = generateKeyPair(), myLegalIdentity: Party = Party("Unit test party", myLegalIdentityKey.public), recordingAs: (String) -> String = { tableName -> "" })`

### Properties

attachments | `val attachments: AttachmentStorage` Provides access to storage of arbitrary JAR files (which may contain only data, no code).
myLegalIdentity | `val myLegalIdentity: Party` Returns the legal identity that this node is configured with. Assumed to be initialised when the node is first installed.
myLegalIdentityKey | `val myLegalIdentityKey: KeyPair`
recordingAs | `val recordingAs: (String) -> String`
tables | `val tables: HashMap<String, MutableMap<*, *>>`
validatedTransactions | `val validatedTransactions: MutableMap<SecureHash, SignedTransaction>` A map of hash->tx where tx has been signature/contract validated and the states are known to be correct. The signatures arent technically needed after that point, but we keep them around so that we can relay the transaction data to other nodes that need it.